--- old/usr/src/lib/libtermcap/sparcv9/Makefile	2019-07-05 17:33:54.388104901 +0000
+++ new/usr/src/lib/libtermcap/sparcv9/Makefile	2019-07-05 17:33:54.406481658 +0000
@@ -14,9 +14,9 @@
 #
 
 include		$(SRC)/lib/Makefile.filter.com
-include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
+include		../Makefile.com
 
-install:	$(ROOTLIBS64) $(ROOTLINKS64)
+install:	$(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libthread/Makefile.com	2019-07-05 17:33:54.899241352 +0000
+++ new/usr/src/lib/libthread/Makefile.com	2019-07-05 17:33:54.916773265 +0000
@@ -29,3 +29,33 @@
 
 LIBS +=		$(LINTLIB)
 DYNFLAGS +=	-F libc.so.1
+
+COMPATLINKS +=	/usr/lib/lwp/libthread.so.1 \
+		/usr/lib/lwp/libthread_db.so.1 \
+		/usr/lib/lwp/$(MACH64)/libthread.so.1 \
+		/usr/lib/lwp/$(MACH64)/libthread_db.so.1 \
+		/lib/libthread_db.so.1 \
+		/lib/libthread_db.so \
+		/usr/lib/libthread_db.so.1 \
+		/usr/lib/libthread_db.so \
+		/lib/$(MACH64)/libthread_db.so.1 \
+		/lib/$(MACH64)/libthread_db.so \
+		/usr/lib/$(MACH64)/libthread_db.so.1 \
+		/usr/lib/$(MACH64)/libthread_db.so
+
+$(ROOT)/usr/lib/lwp/libthread.so.1 := COMPATLINKTARGET=../libthread.so.1
+$(ROOT)/usr/lib/lwp/libthread_db.so.1 := COMPATLINKTARGET=../libthread_db.so.1
+$(ROOT)/usr/lib/lwp/$(MACH64)/libthread.so.1:= \
+	COMPATLINKTARGET=../../$(MACH64)/libthread.so.1
+$(ROOT)/usr/lib/lwp/$(MACH64)/libthread_db.so.1:= \
+	COMPATLINKTARGET=../../$(MACH64)/libthread_db.so.1
+$(ROOT)/lib/libthread_db.so.1 := COMPATLINKTARGET=libc_db.so.1
+$(ROOT)/lib/libthread_db.so := COMPATLINKTARGET=libc_db.so.1
+$(ROOT)/usr/lib/libthread_db.so.1 := COMPATLINKTARGET=../../lib/libc_db.so.1
+$(ROOT)/usr/lib/libthread_db.so := COMPATLINKTARGET=../../lib/libc_db.so.1
+$(ROOT)/lib/$(MACH64)/libthread_db.so.1 := COMPATLINKTARGET=libc_db.so.1
+$(ROOT)/lib/$(MACH64)/libthread_db.so := COMPATLINKTARGET=libc_db.so.1
+$(ROOT)/usr/lib/$(MACH64)/libthread_db.so.1:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libc_db.so.1
+$(ROOT)/usr/lib/$(MACH64)/libthread_db.so:= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/libc_db.so.1
--- old/usr/src/lib/libthread/amd64/Makefile	2019-07-05 17:33:55.422226612 +0000
+++ new/usr/src/lib/libthread/amd64/Makefile	2019-07-05 17:33:55.444391409 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libthread/i386/Makefile	2019-07-05 17:33:55.953668487 +0000
+++ new/usr/src/lib/libthread/i386/Makefile	2019-07-05 17:33:55.970470707 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libthread/sparc/Makefile	2019-07-05 17:33:56.452435413 +0000
+++ new/usr/src/lib/libthread/sparc/Makefile	2019-07-05 17:33:56.470073839 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libthread/sparcv9/Makefile	2019-07-05 17:33:56.930360199 +0000
+++ new/usr/src/lib/libthread/sparcv9/Makefile	2019-07-05 17:33:56.948177372 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libtsnet/amd64/Makefile	2019-07-05 17:33:57.434785515 +0000
+++ new/usr/src/lib/libtsnet/amd64/Makefile	2019-07-05 17:33:57.452232921 +0000
@@ -23,9 +23,9 @@
 # Use is subject to license terms.
 #
 
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libtsnet/i386/Makefile	2019-07-05 17:33:57.907525296 +0000
+++ new/usr/src/lib/libtsnet/i386/Makefile	2019-07-05 17:33:57.924003676 +0000
@@ -22,7 +22,7 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -31,4 +31,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libtsnet/sparc/Makefile	2019-07-05 17:33:58.396535228 +0000
+++ new/usr/src/lib/libtsnet/sparc/Makefile	2019-07-05 17:33:58.414246735 +0000
@@ -22,11 +22,11 @@
 # Copyright 2006 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libtsnet/sparcv9/Makefile	2019-07-05 17:33:58.885415624 +0000
+++ new/usr/src/lib/libtsnet/sparcv9/Makefile	2019-07-05 17:33:58.902722860 +0000
@@ -23,9 +23,9 @@
 # Use is subject to license terms.
 #
 
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libtsol/amd64/Makefile	2019-07-05 17:33:59.371678904 +0000
+++ new/usr/src/lib/libtsol/amd64/Makefile	2019-07-05 17:33:59.388331617 +0000
@@ -23,9 +23,9 @@
 # Use is subject to license terms.
 #
 
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libtsol/i386/Makefile	2019-07-05 17:33:59.840440283 +0000
+++ new/usr/src/lib/libtsol/i386/Makefile	2019-07-05 17:33:59.856780570 +0000
@@ -23,8 +23,8 @@
 # Use is subject to license terms.
 #/
 
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libtsol/sparc/Makefile	2019-07-05 17:34:00.323095991 +0000
+++ new/usr/src/lib/libtsol/sparc/Makefile	2019-07-05 17:34:00.340523605 +0000
@@ -23,8 +23,8 @@
 # Use is subject to license terms.
 #
 
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libtsol/sparcv9/Makefile	2019-07-05 17:34:00.768799827 +0000
+++ new/usr/src/lib/libtsol/sparcv9/Makefile	2019-07-05 17:34:00.778607175 +0000
@@ -23,9 +23,9 @@
 # Use is subject to license terms.
 #
 
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libumem/Makefile.com	2019-07-05 17:34:01.236968028 +0000
+++ new/usr/src/lib/libumem/Makefile.com	2019-07-05 17:34:01.255118301 +0000
@@ -157,7 +157,7 @@
 CFLAGS64_standalone = $(STAND_FLAGS_64)
 CFLAGS64 += $(CCVERBOSE) $(CFLAGS64_$(CURTYPE)) $(CFLAGS64_common)
 
-INSTALL_DEPS_library =		$(ROOTLINKS) $(ROOTLINT) $(ROOTLIBS)
+INSTALL_DEPS_library =	$(ROOTLINKS) $(ROOTLINT) $(ROOTLIBS) $(ROOTCOMPATLINKS)
 
 #
 # turn off ptr-cast warnings, since we do them all the time
--- old/usr/src/lib/libumem/amd64/Makefile	2019-07-05 17:34:01.727229863 +0000
+++ new/usr/src/lib/libumem/amd64/Makefile	2019-07-05 17:34:01.744680872 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 ISASRCDIR=../$(MACH)/
@@ -33,6 +33,7 @@
 
 TYPES=library standalone
 
-INSTALL_DEPS_library = $(ROOTLINKS64) $(ROOTLINT64) $(ROOTLIBS64)
+INSTALL_DEPS_library = $(ROOTLINKS64) $(ROOTLINT64) $(ROOTLIBS64) \
+	$(ROOTCOMPATLINKS64)
 
 include ../Makefile.targ
--- old/usr/src/lib/libumem/sparcv9/Makefile	2019-07-05 17:34:02.227966679 +0000
+++ new/usr/src/lib/libumem/sparcv9/Makefile	2019-07-05 17:34:02.245154562 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 ISASRCDIR=../sparc
@@ -33,6 +33,7 @@
 
 TYPES=library standalone
 
-INSTALL_DEPS_library = $(ROOTLINKS64) $(ROOTLINT64) $(ROOTLIBS64)
+INSTALL_DEPS_library = $(ROOTLINKS64) $(ROOTLINT64) $(ROOTLIBS64) \
+	$(ROOTCOMPATLINKS64)
 
 include ../Makefile.targ
--- old/usr/src/lib/libuuid/amd64/Makefile	2019-07-05 17:34:02.699055721 +0000
+++ new/usr/src/lib/libuuid/amd64/Makefile	2019-07-05 17:34:02.715320473 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -33,4 +33,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libuuid/i386/Makefile	2019-07-05 17:34:03.140451190 +0000
+++ new/usr/src/lib/libuuid/i386/Makefile	2019-07-05 17:34:03.156803313 +0000
@@ -23,11 +23,11 @@
 # Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libuuid/sparc/Makefile	2019-07-05 17:34:03.598408424 +0000
+++ new/usr/src/lib/libuuid/sparc/Makefile	2019-07-05 17:34:03.616053840 +0000
@@ -23,11 +23,11 @@
 # Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libuuid/sparcv9/Makefile	2019-07-05 17:34:04.062772941 +0000
+++ new/usr/src/lib/libuuid/sparcv9/Makefile	2019-07-05 17:34:04.077657149 +0000
@@ -23,7 +23,7 @@
 # Copyright 2002 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -33,4 +33,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libuutil/amd64/Makefile	2019-07-05 17:34:04.529591340 +0000
+++ new/usr/src/lib/libuutil/amd64/Makefile	2019-07-05 17:34:04.545805227 +0000
@@ -23,10 +23,10 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTLINT) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libuutil/i386/Makefile	2019-07-05 17:34:04.973160375 +0000
+++ new/usr/src/lib/libuutil/i386/Makefile	2019-07-05 17:34:04.985451526 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libuutil/sparc/Makefile	2019-07-05 17:34:05.345787354 +0000
+++ new/usr/src/lib/libuutil/sparc/Makefile	2019-07-05 17:34:05.362126731 +0000
@@ -23,9 +23,9 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libuutil/sparcv9/Makefile	2019-07-05 17:34:05.794638219 +0000
+++ new/usr/src/lib/libuutil/sparcv9/Makefile	2019-07-05 17:34:05.812054560 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include ../Makefile.com
@@ -35,4 +35,4 @@
 
 all: $(LIBS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libvrrpadm/amd64/Makefile	2019-07-05 17:34:06.271631381 +0000
+++ new/usr/src/lib/libvrrpadm/amd64/Makefile	2019-07-05 17:34:06.288911402 +0000
@@ -26,4 +26,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libvrrpadm/i386/Makefile	2019-07-05 17:34:06.747106949 +0000
+++ new/usr/src/lib/libvrrpadm/i386/Makefile	2019-07-05 17:34:06.764864304 +0000
@@ -25,4 +25,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libvrrpadm/sparc/Makefile	2019-07-05 17:34:07.253874295 +0000
+++ new/usr/src/lib/libvrrpadm/sparc/Makefile	2019-07-05 17:34:07.270943664 +0000
@@ -25,4 +25,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libvrrpadm/sparcv9/Makefile	2019-07-05 17:34:07.739770239 +0000
+++ new/usr/src/lib/libvrrpadm/sparcv9/Makefile	2019-07-05 17:34:07.762569678 +0000
@@ -26,4 +26,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libw/amd64/Makefile	2019-07-05 17:34:08.262707473 +0000
+++ new/usr/src/lib/libw/amd64/Makefile	2019-07-05 17:34:08.279711015 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libw/i386/Makefile	2019-07-05 17:34:08.762339540 +0000
+++ new/usr/src/lib/libw/i386/Makefile	2019-07-05 17:34:08.779415134 +0000
@@ -26,6 +26,6 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libw/sparc/Makefile	2019-07-05 17:34:09.261048499 +0000
+++ new/usr/src/lib/libw/sparc/Makefile	2019-07-05 17:34:09.277470809 +0000
@@ -26,6 +26,6 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libw/sparcv9/Makefile	2019-07-05 17:34:09.739860757 +0000
+++ new/usr/src/lib/libw/sparcv9/Makefile	2019-07-05 17:34:09.757914851 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libxnet/amd64/Makefile	2019-07-05 17:34:10.246050630 +0000
+++ new/usr/src/lib/libxnet/amd64/Makefile	2019-07-05 17:34:10.264169153 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libxnet/i386/Makefile	2019-07-05 17:34:10.724936314 +0000
+++ new/usr/src/lib/libxnet/i386/Makefile	2019-07-05 17:34:10.742995551 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libxnet/sparc/Makefile	2019-07-05 17:34:11.227421975 +0000
+++ new/usr/src/lib/libxnet/sparc/Makefile	2019-07-05 17:34:11.245354789 +0000
@@ -26,6 +26,7 @@
 include		$(SRC)/lib/Makefile.filter.com
 include		../Makefile.com
 
-install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install:	all $(ROOTLIBDIR) .WAIT $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) \
+	$(ROOTCOMPATLINKS)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libxnet/sparcv9/Makefile	2019-07-05 17:34:11.723281513 +0000
+++ new/usr/src/lib/libxnet/sparcv9/Makefile	2019-07-05 17:34:11.741447298 +0000
@@ -27,6 +27,7 @@
 include		../Makefile.com
 include		$(SRC)/lib/Makefile.lib.64
 
-install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64)
+install:	all $(ROOTLIBDIR64) .WAIT $(ROOTLIBS64) $(ROOTLINKS64) \
+	$(ROOTCOMPATLINKS64)
 
 include		$(SRC)/lib/Makefile.filter.targ
--- old/usr/src/lib/libzfs/amd64/Makefile	2019-07-05 17:34:12.244251002 +0000
+++ new/usr/src/lib/libzfs/amd64/Makefile	2019-07-05 17:34:12.261519861 +0000
@@ -23,9 +23,9 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libzfs/i386/Makefile	2019-07-05 17:34:12.726537358 +0000
+++ new/usr/src/lib/libzfs/i386/Makefile	2019-07-05 17:34:12.746797811 +0000
@@ -23,8 +23,8 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libzfs/sparc/Makefile	2019-07-05 17:34:13.213150878 +0000
+++ new/usr/src/lib/libzfs/sparc/Makefile	2019-07-05 17:34:13.229579742 +0000
@@ -23,8 +23,8 @@
 # Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libzfs/sparcv9/Makefile	2019-07-05 17:34:13.665633260 +0000
+++ new/usr/src/lib/libzfs/sparcv9/Makefile	2019-07-05 17:34:13.682584085 +0000
@@ -29,4 +29,4 @@
 
 sparcv9_C_PICFLAGS= $(sparcv9_C_BIGPICFLAGS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libzfs_core/amd64/Makefile	2019-07-05 17:34:14.156404309 +0000
+++ new/usr/src/lib/libzfs_core/amd64/Makefile	2019-07-05 17:34:14.175170962 +0000
@@ -27,4 +27,4 @@
 include ../Makefile.com
 include ../../Makefile.lib.64
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/libzfs_core/i386/Makefile	2019-07-05 17:34:14.688520205 +0000
+++ new/usr/src/lib/libzfs_core/i386/Makefile	2019-07-05 17:34:14.707168224 +0000
@@ -26,4 +26,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libzfs_core/sparc/Makefile	2019-07-05 17:34:15.175553446 +0000
+++ new/usr/src/lib/libzfs_core/sparc/Makefile	2019-07-05 17:34:15.192842162 +0000
@@ -26,4 +26,4 @@
 
 include ../Makefile.com
 
-install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT)
+install: all $(ROOTLIBS) $(ROOTLINKS) $(ROOTLINT) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/libzfs_core/sparcv9/Makefile	2019-07-05 17:34:15.645035281 +0000
+++ new/usr/src/lib/libzfs_core/sparcv9/Makefile	2019-07-05 17:34:15.663574995 +0000
@@ -29,4 +29,4 @@
 
 sparcv9_C_PICFLAGS= $(sparcv9_C_BIGPICFLAGS)
 
-install: all $(ROOTLIBS64) $(ROOTLINKS64)
+install: all $(ROOTLIBS64) $(ROOTLINKS64) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/compat/Makefile.com	2019-07-05 17:34:16.126375896 +0000
+++ new/usr/src/lib/nsswitch/compat/Makefile.com	2019-07-05 17:34:16.143374995 +0000
@@ -23,9 +23,6 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
-#
-# lib/nsswitch/compat/Makefile.com
 
 LIBRARY =	libnss_compat.a
 VERS =		.1
@@ -43,5 +40,14 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
-LDLIBS +=	-lnsl
 DYNLIB1 =	nss_compat.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
+LDLIBS +=	-lnsl
+
--- old/usr/src/lib/nsswitch/compat/amd64/Makefile	2019-07-05 17:34:16.606556402 +0000
+++ new/usr/src/lib/nsswitch/compat/amd64/Makefile	2019-07-05 17:34:16.623817468 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include		../Makefile.com
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/compat/i386/Makefile	2019-07-05 17:34:17.089620112 +0000
+++ new/usr/src/lib/nsswitch/compat/i386/Makefile	2019-07-05 17:34:17.105192810 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/compat/i386/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/compat/sparc/Makefile	2019-07-05 17:34:17.546630598 +0000
+++ new/usr/src/lib/nsswitch/compat/sparc/Makefile	2019-07-05 17:34:17.563162344 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/compat/sparc/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/compat/sparcv9/Makefile	2019-07-05 17:34:18.021668128 +0000
+++ new/usr/src/lib/nsswitch/compat/sparcv9/Makefile	2019-07-05 17:34:18.039766409 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -34,4 +34,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/dns/Makefile.com	2019-07-05 17:34:18.518259194 +0000
+++ new/usr/src/lib/nsswitch/dns/Makefile.com	2019-07-05 17:34:18.536048431 +0000
@@ -38,6 +38,15 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
+DYNLIB1 =	nss_dns.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
 # Appropriate libresolv loaded at runtime. This is the default, to be dlopened
 # if no libresolv was provided by the application.
 CPPFLAGS +=	-DNSS_DNS_LIBRESOLV=\"libresolv.so.2\"
@@ -45,4 +54,4 @@
 LINTFLAGS +=	-erroff=E_GLOBAL_COULD_BE_STATIC2
 
 LDLIBS +=	-lnsl -lsocket
-DYNLIB1 =	nss_dns.so$(VERS)
+
--- old/usr/src/lib/nsswitch/dns/amd64/Makefile	2019-07-05 17:34:19.005848493 +0000
+++ new/usr/src/lib/nsswitch/dns/amd64/Makefile	2019-07-05 17:34:19.025174471 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include		../Makefile.com
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/dns/i386/Makefile	2019-07-05 17:34:19.497599183 +0000
+++ new/usr/src/lib/nsswitch/dns/i386/Makefile	2019-07-05 17:34:19.515110493 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/dns/i386/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/dns/sparc/Makefile	2019-07-05 17:34:19.994003646 +0000
+++ new/usr/src/lib/nsswitch/dns/sparc/Makefile	2019-07-05 17:34:20.013157342 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/dns/sparc/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/dns/sparcv9/Makefile	2019-07-05 17:34:20.467728948 +0000
+++ new/usr/src/lib/nsswitch/dns/sparcv9/Makefile	2019-07-05 17:34:20.486394432 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -34,4 +34,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/files/Makefile.com	2019-07-05 17:34:20.957102661 +0000
+++ new/usr/src/lib/nsswitch/files/Makefile.com	2019-07-05 17:34:20.974306969 +0000
@@ -62,4 +62,17 @@
 LDLIBS +=	-lnsl
 DYNLIB1 =	nss_files.so$(VERS)
 
+COMPATLINKS=	/usr/lib/$(DYNLIB1) /etc/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/etc/lib/$(DYNLIB1) := COMPATLINKTARGET= ../../lib/$(DYNLIB1)
+
 all: $(DYNLIB1)
+
--- old/usr/src/lib/nsswitch/files/amd64/Makefile	2019-07-05 17:34:21.448188662 +0000
+++ new/usr/src/lib/nsswitch/files/amd64/Makefile	2019-07-05 17:34:21.466344342 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include		../Makefile.com
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/files/i386/Makefile	2019-07-05 17:34:21.921382638 +0000
+++ new/usr/src/lib/nsswitch/files/i386/Makefile	2019-07-05 17:34:21.938000862 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/files/i386/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/files/sparc/Makefile	2019-07-05 17:34:22.412146919 +0000
+++ new/usr/src/lib/nsswitch/files/sparc/Makefile	2019-07-05 17:34:22.429530834 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/files/sparc/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/files/sparcv9/Makefile	2019-07-05 17:34:22.912367959 +0000
+++ new/usr/src/lib/nsswitch/files/sparcv9/Makefile	2019-07-05 17:34:22.929743933 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -34,4 +34,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/nis/Makefile.com	2019-07-05 17:34:23.401713700 +0000
+++ new/usr/src/lib/nsswitch/nis/Makefile.com	2019-07-05 17:34:23.418542387 +0000
@@ -54,8 +54,17 @@
 # install this library in the root filesystem
 include ../../../Makefile.rootfs
 
+DYNLIB1 =	nss_nis.so$(VERS)
+
+COMPATLINKS=	/usr/lib/$(DYNLIB1)
+COMPATLINKS64=	/usr/lib/$(MACH64)/$(DYNLIB1)
+
+$(ROOT)/usr/lib/$(DYNLIB1) := COMPATLINKTARGET=../../lib/$(DYNLIB1)
+$(ROOT)/usr/lib/$(MACH64)/$(DYNLIB1):= \
+	COMPATLINKTARGET=../../../lib/$(MACH64)/$(DYNLIB1)
+
 LINTFLAGS +=	-erroff=E_GLOBAL_COULD_BE_STATIC2
 LINTFLAGS64 +=	-erroff=E_GLOBAL_COULD_BE_STATIC2
 
 LDLIBS +=	-lnsl
-DYNLIB1 =	nss_nis.so$(VERS)
+
--- old/usr/src/lib/nsswitch/nis/amd64/Makefile	2019-07-05 17:34:23.858238909 +0000
+++ new/usr/src/lib/nsswitch/nis/amd64/Makefile	2019-07-05 17:34:23.876488793 +0000
@@ -23,7 +23,7 @@
 # Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 
 include		../Makefile.com
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
--- old/usr/src/lib/nsswitch/nis/i386/Makefile	2019-07-05 17:34:24.369045157 +0000
+++ new/usr/src/lib/nsswitch/nis/i386/Makefile	2019-07-05 17:34:24.386252563 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/nis/i386/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/nis/sparc/Makefile	2019-07-05 17:34:24.849889972 +0000
+++ new/usr/src/lib/nsswitch/nis/sparc/Makefile	2019-07-05 17:34:24.869559303 +0000
@@ -23,7 +23,7 @@
 # Copyright 1993,2001-2003 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # lib/nsswitch/nis/sparc/Makefile
 
@@ -33,4 +33,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOTLIBS)
+install:	all $(ROOTLIBS) $(ROOTCOMPATLINKS)
--- old/usr/src/lib/nsswitch/nis/sparcv9/Makefile	2019-07-05 17:34:25.353023071 +0000
+++ new/usr/src/lib/nsswitch/nis/sparcv9/Makefile	2019-07-05 17:34:25.371179535 +0000
@@ -20,7 +20,7 @@
 # CDDL HEADER END
 #
 #
-#ident	"%Z%%M%	%I%	%E% SMI"
+
 #
 # Copyright (c) 1993,2001 by Sun Microsystems, Inc.
 # All rights reserved.
@@ -34,4 +34,4 @@
 
 include		../../Makefile.targ
 
-install:	all $(ROOT64DYNLIB)
+install:	all $(ROOT64DYNLIB) $(ROOTCOMPATLINKS64)
